Package twisted :: Package mail :: Module maildir :: Class AbstractMaildirDomain

[frames | no frames]

## Class AbstractMaildirDomain

Known Subclasses:
  `MaildirDirdbmDomain`

Abstract maildir-backed domain.

Method Summary
| ``__init__`(self, service, root)` Initialize.
| `addUser(self, user, password)`
| ``exists`(self, user, memo)` Check for existence of user in the domain
| `getCredentialsCheckers(self)`
| `setAliasGroup(self, alias)`
| ``startMessage`(self, user)` Save a message for a given user
| ``userDirectory`(self, user)` Get the maildir directory for a given user
| `willRelay(self, user, protocol)`

Class Variable Summary
`NoneType` | `alias` = None
`NoneType` | `root` = None

Method Details

### __init__(self, service, root)
(Constructor)

Initialize.

### exists(self, user, memo=None)

Check for existence of user in the domain

### startMessage(self, user)

Save a message for a given user

### userDirectory(self, user)

Get the maildir directory for a given user

Override to specify where to save mails for users. Return None for non-existing users.

Class Variable Details

### alias

  Type:
    `NoneType`
  Value:

        None

### root

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:33 2004 | http://epydoc.sf.net